package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type ResWidgetOperation struct {
	Uuid          string                  `db:"uuid"`
	WidgetUuid    string                  `db:"widget_uuid"`
	Name          string                  `db:"name"`
	NoAuthType    string                  `db:"noAuthType"`
	PropsAuthRule res_type.ResFieldByAnys `db:"propsAuthRule"`
	ExtraAuthRule res_type.ResFieldByAnys `db:"extraAuthRule"`
	Roles         res_type.ResFieldByAnys `db:"roles"`
	UpdatedAt     string                  `db:"updated_at"`
	CreatedAt     string                  `db:"created_at"`
}

type GetResWidgetOperations func(roles ...string) []ResWidgetOperation
